NX Open C++ Reference Guide
|
Represents a builder for a cut face feature. More...
Public Member Functions | |
bool | DoPaste () |
Returns the do paste option defines whether paste the cut faces to a target body. | |
NXOpen::Features::FaceRecognitionBuilder * | FaceToCut () |
Returns the face recognition builder holding the faces to cut. | |
NXOpen::GeometricUtilities::ModlMotion * | Motion () |
Returns the motion about which the cut faces move Created in NX6.0.0. | |
bool | ReverseDirection () |
Returns the reverse direction. | |
void | SetDoPaste (bool doPaste) |
Sets the do paste option defines whether paste the cut faces to a target body. | |
void | SetReverseDirection (bool reverseDirection) |
Sets the reverse direction. | |
NXOpen::SelectBody * | TargetBody () |
Returns the target body. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a builder for a cut face feature.
<br> To create a new instance of this class, use @link Features::FeatureCollection::CreateCutFaceBuilder Features::FeatureCollection::CreateCutFaceBuilder @endlink <br>
Default values.
Property | Value |
---|---|
FaceToCut.CoaxialEnabled |
0 |
FaceToCut.CoplanarAxesEnabled |
0 |
FaceToCut.CoplanarEnabled |
0 |
FaceToCut.EqualDiameterEnabled |
0 |
FaceToCut.OffsetEnabled |
0 |
FaceToCut.ParallelEnabled |
0 |
FaceToCut.PerpendicularEnabled |
0 |
FaceToCut.SymmetricEnabled |
0 |
FaceToCut.TangentEnabled |
0 |
FaceToCut.ThicknessChainEnabled |
0 |
FaceToCut.UseFaceBrowse |
1 |
Motion.DeltaEnum |
ReferenceWcsWorkPart |
Motion.DeltaXc.Value |
0.0 |
Motion.DeltaYc.Value |
0.0 |
Motion.DeltaZc.Value |
0.0 |
Motion.Option |
DistanceAngle |
Created in NX6.0.0.
bool NXOpen::Features::CutFaceBuilder::DoPaste | ( | ) |
Returns the do paste option defines whether paste the cut faces to a target body.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::FaceRecognitionBuilder* NXOpen::Features::CutFaceBuilder::FaceToCut | ( | ) |
Returns the face recognition builder holding the faces to cut.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::ModlMotion* NXOpen::Features::CutFaceBuilder::Motion | ( | ) |
Returns the motion about which the cut faces move
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::CutFaceBuilder::ReverseDirection | ( | ) |
Returns the reverse direction.
A flag to indicate whether the target body direction is reversed, disabled if target body is solid.
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::CutFaceBuilder::SetDoPaste | ( | bool | doPaste | ) |
Sets the do paste option defines whether paste the cut faces to a target body.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
doPaste | do paste |
void NXOpen::Features::CutFaceBuilder::SetReverseDirection | ( | bool | reverseDirection | ) |
Sets the reverse direction.
A flag to indicate whether the target body direction is reversed, disabled if target body is solid.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
reverseDirection | reverse direction |
NXOpen::SelectBody* NXOpen::Features::CutFaceBuilder::TargetBody | ( | ) |
Returns the target body.
The target body can be a solid or sheet.
Created in NX6.0.0.
License requirements : None